Subject: decision object maximum length ?

From: Krishna Prasad Akkineni <[email-masked]>
Date: Fri, 13 Sep 2002 11:51:17 +0530

Hi,
   This is a query related to the COPS Decision object (named decision
data)
maximum length. As per RFC2748, the maximum object length is 2^16
(65536) bytes.
If number of policies are more then decision object length will go
beyond
65536 bytes. I can add more decision objects to avoid this problem, but
I require
to replicate the context object once again. How RFC2748 addresses this
problem?

Thanks
Krishna

---

From: "Durham, David" <[email-masked]>
Date: Fri, 13 Sep 2002 09:42:36 -0700

Yes, the context and decision flags objects will be replicated for each
decision object. I do not see where the problem lies however, as the total
length of these replicated objects is only 16bytes for every 65536bytes of
decision object data.
 
-Dave

-----Original Message-----
From: Krishna Prasad Akkineni [mailto:[email-masked]]
Sent: Thursday, September 12, 2002 11:21 PM
To: [email-masked]; Kamal Kishore Mantri; Naganna VVS Vydyula
Subject: decision object maximum length ?

Hi, 
   This is a query related to the COPS Decision object (named decision data)

maximum length. As per RFC2748, the maximum object length is 2^16 (65536)
bytes. 
If number of policies are more then decision object length will go beyond 
65536 bytes. I can add more decision objects to avoid this problem, but I
require 
to replicate the context object once again. How RFC2748 addresses this 
problem? 

Thanks 
Krishna